RM(1)

NOME
rm - apaga arquivos e diretórios

SINOPSE
rm [OPÇÃO]... [ARQUIVO]...

DESCRIÇÃO
Esta página de manual documenta a versão GNU do rm. rm remove cada arquivo especificado. Por padrão, ele não remove os diretórios.

Se a opção -I ou --interactive=once é dada, e há mais de três arquivos ou as opções -r, -R ou --recursive forem dadas, rm pergunta para o usuário se deseja prosseguir com toda a operação. Se a resposta não for afirmativa, todo o comando é abortado.

Do contrário, se um arquivo não puder ser escrito, a entrada padrão for um terminal e a opção -f ou --force não for dada, ou a opção -i ou --interactive=always for dada, rm pergunta para o usuário se deseja remover o arquivo. Se a resposta não for afirmativa, o arquivo é preservado.

OPÇÕES

Remove (desvincula) o(s) ARQUIVO(s).

-f, --force
    ignora arquivos e argumentos inexistentes, nunca pergunta

-i  pergunta antes de cada remoção

-I  pergunta uma vez antes de remover mais que três arquivos ou ao remover recursivamente; menos intrusivo que -i, mas ainda oferecendo alguma proteção contra a maioria dos equívocos

--interactive[=QUANDO]
    pergunta conforme QUANDO: never (nunca), once (-I) (uma vez) ou always (-i) (sempre); sem QUANDO, pergunta sempre

--one-file-system
    ao remover uma hierarquia recursivamente, ignora qualquer diretório que esteja em um sistema de arquivo diferente daquele do respectivo argumento da linha de comando

--no-preserve-root
    não trata "/" de forma especial

--preserve-root[=all]
    não remove "/" (padrão); com "all", rejeita qualquer argumento de linha de comando em um dispositivo separado de seu pai

-r, -R, --recursive
    remove diretórios e seus conteúdos recursivamente

-d, --dir
    remove diretórios vazios

-v, --verbose
    explica o que está sendo feito

--help
    mostra esta ajuda e sai

--version
    informa a versão e sai

Por padrão, rm não remove diretórios. Use a opção --recursive (-r ou -R) para remover também cada diretório listado, junto com todo seu conteúdo.

Para remover um arquivo cujo nome inicia com "-" (por exemplo, "-foo"), use um dos seguintes comandos:

    rm -- -foo

    rm ./-foo

Note que se você usar rm para remover um arquivo, pode ser possível recuperar alguma parte de seu conteúdo, de acordo com a expertise e/ou tempo. Se quiser assegurar que o conteúdo seja de fato irrecuperável, considere usar shred.

AUTOR
Escrito por Paul Rubin, David MacKenzie, Richard M. Stallman e Jim Meyering.

RELATANDO PROBLEMAS
Página de ajuda do GNU coreutils: <https://www.gnu.org/software/coreutils/>
Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>.

DIREITOS AUTORAIS
Copyright © 2020 Free Software Foundation, Inc. Licença GPLv3+: GNU GPL versão 3 ou posterior <https://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
unlink(1), unlink(2), chattr(1), shred(1)

Documentação completa <https://www.gnu.org/software/coreutils/rm>
ou disponível localmente via: info '(coreutils) rm invocation'

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por André Luiz Fassone <lonely_wolf@ig.com.br>, Ricardo C.O.Freitas <english.quest@best-service.com> e Rafael Fontenelle <rafaelff@gnome.org>.

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).